curl --request DELETE \
--url https://api.example.com/knowledge/content/{content_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/knowledge/content/{content_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/knowledge/content/{content_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"size": "<string>",
"linked_to": "<string>",
"metadata": {},
"access_count": 1,
"status": "processing",
"status_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "Bad request"
}{
"detail": "Unauthenticated access"
}{
"detail": "Not found"
}{
"detail": [
{
"loc": [
"body",
"endpoint"
],
"msg": "Value error, Endpoint must be a path, not a full URL",
"type": "value_error"
}
]
}{
"detail": "Internal server error"
}Delete Content by ID
Permanently remove a specific content item from the knowledge base. With user isolation enabled, a non-admin caller can delete its own content but cannot delete shared content. Content outside the caller’s scope is reported as not found. This action cannot be undone.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Database ID to use
Knowledge base ID to use
Response
Successful Response
Unique identifier for the content
Name of the content
Description of the content
MIME type of the content
Size of the content in bytes
ID of related content if linked
Additional metadata as key-value pairs
Number of times content has been accessed
x >= 0Processing status of the content
processing, completed, failed Status message or error details
Timestamp when content was created
Timestamp when content was last updated